Rails.application.config.middleware.use OmniAuth::Builder do
  provider :saml,
    :assertion_consumer_service_url     => DoorkeeperHub.config.callback_url,
    :issuer                             => DoorkeeperHub.config.issuer,
    :idp_sso_target_url                 => "https://id.hubhub.co/saml/auth",
    :idp_sso_target_url_runtime_params  => {:original_request_param => :mapped_idp_param},
    :idp_cert_fingerprint               => DoorkeeperHub.config.idp_fingerprint,
    :idp_cert_fingerprint_validator     => lambda { |fingerprint| fingerprint },
    :name_identifier_format             => "urn:oasis:names:tc:SAML:1.1:nameid-format:emailAddress"
end
