Warden::Strategies.add(:doorkeeper) do
  def valid?
    true
  end

  def authenticate!
    u = DoorkeeperHub::User.new('company_tokens' => company_tokens, 'id' => auth.uid)
    success!(u)
  end

  def auth
    request.env["omniauth.auth"]
  end

  def company_tokens
    auth.extra.raw_info.multi(DoorkeeperHub.token_name)
  end
end

Warden::Manager.serialize_into_session do |user|
  user
end

Warden::Manager.serialize_from_session do |data|
  DoorkeeperHub::User.new(data)
end