require "doorkeeper_hub/version"
require 'doorkeeper_hub/configurator'
require "doorkeeper_hub/helpers"
require 'doorkeeper_hub/engine' if defined?(::Rails) && Rails::VERSION::MAJOR > 4

module DoorkeeperHub
  def self.config
    @config ||= DoorkeeperHub::Configurator.new
  end

  def self.configure
    yield config
  end

  def self.token_name
    config.doorkeeper_token_name
  end

  def self.token_param
    :doorkeeper_token
  end

  def self.client_mode?
    config.client_mode
  end

  class User
    attr_accessor :company_tokens, :id

    def initialize(attrs)
      @company_tokens = attrs['company_tokens']
      @id             = attrs['id']
    end

    def to_key
      id
    end

    def authenticatable_salt
      ''
    end
  end

end